ingres_fetch_array
ingres_fetch_object
Ingres Functions
PHP Manual

# ingres_fetch_assoc

(PECL ingres >= 2.2.2)

ingres_fetch_assoc — Fetch a row of result into an associative array

### Description

array ingres_fetch_assoc ( resource `$result` )

This function is stores the data fetched from a query executed using ingres_query() in an associative array, using the field names as keys.

With regard to speed, the function is identical to ingres_fetch_object(), and almost as quick as ingres_fetch_row() (the difference is insignificant).

By default, arrays created by ingres_fetch_assoc() start from position 1 and not 0 as with other DBMS extensions. The starting position can be adjusted to 0 using the configuration parameter ingres.array_index_start.

> Note: Related Configurations

> See also the ingres.array_index_start, ingres.fetch_buffer_size and ingres.utf8 directives in Runtime Configuration.

### Parameters

`result`

  The query result identifier

### Return Values

Returns an associative array that corresponds to the fetched row, or `FALSE` if there are no more rows

### Examples

Example #1 Fetch a row into an associative array

`<?php
$link = ingres_connect($database, $user, $password);
$result = ingres_query($link,"select * from table");
while ($row = ingres_fetch_assoc($result)) {
echo $row["user_id"]; // using associative array
echo $row["fullname"];
}
?>`

### See Also

- ingres_query() - Send an SQL query to Ingres
- ingres_num_fields() - Get the number of fields returned by the last query
- ingres_field_name() - Get the name of a field in a query result
- ingres_fetch_array() - Fetch a row of result into an array
- ingres_fetch_object() - Fetch a row of result into an object
- ingres_fetch_row() - Fetch a row of result into an enumerated array

ingres_fetch_array
ingres_fetch_object
Ingres Functions
PHP Manual